/// id : 0
/// productSerial : "string"
/// purchasedAt : 0
/// warrantyUntil : 0
/// productCatId : 0
/// productCat : "string"
/// categoryColor : "string"
/// productRef : "string"
/// pictureUrl : "string"
/// statusId : 0
/// statusLabel : "string"
/// statusColor : "string"
/// statusDisplay : 0
/// placeId : 0

class Product {
  int? id;
  String? productSerial;
  int? purchasedAt;
  int? warrantyUntil;
  int? productCatId;
  String? productCat;
  String? categoryColor;
  String? productRef;
  String? pictureUrl;
  int? statusId;
  String? statusLabel;
  String? statusColor;
  int? statusDisplay;
  int? placeId;
  String? label;

  Product({
      this.id, 
      this.label,
      this.productSerial,
      this.purchasedAt, 
      this.warrantyUntil, 
      this.productCatId, 
      this.productCat, 
      this.categoryColor, 
      this.productRef, 
      this.pictureUrl, 
      this.statusId, 
      this.statusLabel, 
      this.statusColor, 
      this.statusDisplay, 
      this.placeId});

  Product.fromJson(dynamic json) {
    id = json['id'];
    label = json['label'];
    productSerial = json['productSerial'];
    purchasedAt = json['purchasedAt'];
    warrantyUntil = json['warrantyUntil'];
    productCatId = json['productCatId'];
    productCat = json['productCat'];
    categoryColor = json['categoryColor'];
    productRef = json['productRef'];
    pictureUrl = json['pictureUrl'];
    statusId = json['statusId'];
    statusLabel = json['statusLabel'];
    statusColor = json['statusColor'];
    statusDisplay = json['statusDisplay'];
    placeId = json['placeId'];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map['id'] = id;
    map['label'] = label;
    map['productSerial'] = productSerial;
    map['purchasedAt'] = purchasedAt;
    map['warrantyUntil'] = warrantyUntil;
    map['productCatId'] = productCatId;
    map['productCat'] = productCat;
    map['categoryColor'] = categoryColor;
    map['productRef'] = productRef;
    map['pictureUrl'] = pictureUrl;
    map['statusId'] = statusId;
    map['statusLabel'] = statusLabel;
    map['statusColor'] = statusColor;
    map['statusDisplay'] = statusDisplay;
    map['placeId'] = placeId;
    return map;
  }

}